# draw(3)

[Home] [Commands] [Variables] [Macro-Dev] [Glossary]

## NAME

draw - Simple line drawing utility

## SYNOPSIS

draw

## DESCRIPTION

draw provides a simple way of drawing lines into the current buffer, this has a variety of uses such as drawing tables. draw copies the current buffer into a temporary buffer and then allows the user to draw using simple commands until the user either aborts, discarding any changes, or exits insert the changes back into the buffer.

The keys for draw are defined as follows:-

esc h

Display a help dialog.

up, down, left, right

The cursor keys (or any other keys bound the the same commands) will move the cursor, drawing in the current mode.

d

Change the current mode to draw (default), cursor movement will result in drawing in the current style.

e

Change the current mode to erase, cursor movement will result in erasing to spaces.

m

Change the current mode to move, no drawing is performed with cursor movement.

u

Change the current mode to undo, cursor movement will result in undoing the character to the original or a space.

-

Sets the current horizontal line drawing style to use '`-`'s (default).

=

Sets the current horizontal line drawing style to use '`=`'s.

C-g

Abort - changes are lost.

return

Exit, inserting any changes into the current buffer.

## NOTES

draw is a macro defined in `draw.emf`.

(c) Copyright JASSPA 2009
Last Modified: 2009/08/29
Generated On: 2009/10/12

</HMTL>